<%
// Licensed Materials - Property of IBM
// supportPac LA01
// Copyright IBM Corp. 2008, 2011 All Rights Reserved
// US Government Users Restricted Rights - Use, duplication or
// disclosure restricted by GSA ADP Schedule Contract with
// IBM Corp.
%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<f:verbatim>
<div id="DialogFooter">
</f:verbatim>
    <h:commandButton id="rxEditConfigPre" styleClass="buttons"  action="#{rxConfigBean.editConfig}" value="Edit" rendered="#{!rxConfigBean.editing}"/>
	<h:commandButton id="rxSavePre" styleClass="buttons"  action="#{rxConfigBean.saveConfig}" value="Save" rendered="#{rxConfigBean.editing}"/>
<f:verbatim>
</div>
</f:verbatim>	
<h:panelGroup styleClass="infoBox" rendered="#{! empty facesContext.maximumSeverity}">
	<h:messages styleClass="bodytextbold"/>
</h:panelGroup>
<f:verbatim>
<hr/>
<h3>Import</h3>
</f:verbatim>
<h:panelGrid>
</h:panelGrid>
<h:panelGrid columns="2" styleClass="details" columnClasses="propertyClass, valueClass">
<h:outputLabel value="RuleXpress Rule ID"/>
<h:outputText value="#{rxConfigBean.rtsRuleIDLabel}" />
<h:outputLabel value="RuleXpress Rule Statement"/>
<h:outputText value="#{rxConfigBean.rtsRuleStatementLabel}"/>
</h:panelGrid>
<f:verbatim>
<br/>
<p><b>Import Properties</b></p>
</f:verbatim>

<h:dataTable id="importProperties" value="#{rxConfigBean.importPropertyBeans}" var="property" rules="rows" styleClass="rulelist">
	<h:column>
		<f:facet name="header">
			<h:selectBooleanCheckbox id="_checkedAll" value="#{rxConfigBean.selectAll}" rendered="false" disabled="#{!rxConfigBean.editing}"/>
		</f:facet>
		<h:selectBooleanCheckbox id="selectRow" value="#{property.selected}" disabled="#{!rxConfigBean.editing}"/>
	</h:column>
	<h:column>
		<f:facet name="header">
			<h:outputText value="Group Name" />
		</f:facet>
		<h:outputText value="#{property.propertyID.group}" />
	</h:column>
	<h:column>
		<f:facet name="header">
			<h:outputText value="Name" />
		</f:facet>
		<h:outputText value="#{property.propertyID.name}" />
	</h:column>
	<h:column>
		<f:facet name="header">
			<h:outputText value="Type" />
		</f:facet>
		<h:outputText value="#{property.propertyID.type}"/>
	</h:column>
	<h:column>
		<f:facet name="header">
			<h:outputText value="RTS Rule Property" />
		</f:facet>
		<h:outputText value="#{property.rtsPropertyLabel}"/>
	</h:column>
</h:dataTable>
<h:commandButton id="rxNewImport" styleClass="buttons" action="#{rxConfigBean.newImportProperty}" value="New" disabled="#{!rxConfigBean.editing}"/>

<h:commandButton id="rxEditImport" styleClass="buttons" action="#{rxConfigBean.editImportProperty}" value="Edit" disabled="#{!rxConfigBean.editing}"/>

<h:commandButton id="rxDeleteImport" styleClass="buttons" action="#{rxConfigBean.deleteImportProperty}" value="Delete" disabled="#{!rxConfigBean.editing}"/>

<f:verbatim>
<hr/>
<h3>Export</h3>
</f:verbatim>
<h:panelGrid columns="2" styleClass="details" columnClasses="propertyClass, valueClass">
<h:outputLabel value="RuleXpress ILOG Property Group"/>
<h:inputText value="#{rxConfigBean.exportConfig.rxIlogGroup}" styleClass="valueClass" disabled="true"/>
</h:panelGrid>
<f:verbatim>
<p><b>Export Properties</b></p>
</f:verbatim>
<h:dataTable id="exportProperties" value="#{rxConfigBean.exportPropertyBeans}" var="property" rules="rows" styleClass="rulelist">
	<h:column>
		<f:facet name="header">
			<h:selectBooleanCheckbox id="_checkedAll" value="#{rxConfigBean.selectAll}" rendered="false" disabled="#{!rxConfigBean.editing}"/>
		</f:facet>
		<h:selectBooleanCheckbox id="selectRow" value="#{property.selected}" disabled="#{!rxConfigBean.editing || 'uuid' == property.rtsPropertyName}"/>
	</h:column>
	<h:column>
		<f:facet name="header">
			<h:outputText value="RTS Rule Property" />
		</f:facet>
		<h:outputText value="#{property.rtsPropertyLabel}"/>
	</h:column>	
	<h:column>
		<f:facet name="header">
			<h:outputText value="Group Name" />
		</f:facet>
		<h:outputText value="#{property.propertyID.group}" />
	</h:column>
	<h:column>
		<f:facet name="header">
			<h:outputText value="Name" />
		</f:facet>
		<h:outputText value="#{property.propertyID.name}" />
	</h:column>
	<h:column>
		<f:facet name="header">
			<h:outputText value="Type" />
		</f:facet>
		<h:outputText value="#{property.propertyID.type}"/>
	</h:column>
</h:dataTable>
<h:commandButton id="rxNewExport" styleClass="buttons" action="#{rxConfigBean.newExportProperty}" value="New" disabled="#{!rxConfigBean.editing}"/>

<h:commandButton id="rxEditExport" styleClass="buttons" action="#{rxConfigBean.editExportProperty}" value="Edit" disabled="#{!rxConfigBean.editing}"/>

<h:commandButton id="rxDeleteExport" styleClass="buttons" action="#{rxConfigBean.deleteExportProperty}" value="Delete" disabled="#{!rxConfigBean.editing}"/>
<f:verbatim>
<!-- 
	<script language="javascript" type="text/javascript">
		initRowSelector('dialog:paneForm','dialog:paneForm:content:importProperties:','selectRow','selected-row');
	</script>
-->	
	<br>
	<div id="DialogFooter">
</f:verbatim>
    <h:commandButton id="rxEditConfig" styleClass="buttons"  action="#{rxConfigBean.editConfig}" value="Edit" rendered="#{!rxConfigBean.editing}"/>
	<h:commandButton id="rxSave" styleClass="buttons"  action="#{rxConfigBean.saveConfig}" value="Save" rendered="#{rxConfigBean.editing}"/>
	<h:commandButton id="rxRestore" styleClass="buttons"  action="#{rxConfigBean.restoreConfig}" value="Restore Default" rendered="#{!rxConfigBean.editing}" onclick="return confirm('Do you want to restore to initial settings and lose all your changes?')"/>
	<h:commandButton id="rxCancel" styleClass="buttons" action="#{rxConfigBean.cancelConfig}" value="#{bundle.cancel_key}" rendered="#{rxConfigBean.editing}"/>
	<h:commandButton id="rxBack" styleClass="buttons" action="#{rxConfigBean.cancelConfig}" value="#{bundle.back_key}" rendered="#{!rxConfigBean.editing}"/>
<f:verbatim>
	</div>
</f:verbatim>
